<script lang="typescript">
    import { facebookAuthStore } from "src/store";
    import { onMount } from "svelte";

    let wind: any = window as any;
    let FB: any;

    onMount(() => {
        FB = wind.FB;
    });

    function customLogin() {
        console.log('fb login')
        FB.login(
            function (response: any) {
                console.log(response)
                if (response.status === "connected") {
                    if (response.authResponse) {
                        FB.api(
                            "/me",
                            {
                                fields:
                                    "id,name,picture.width(400).height(400),email",
                            },
                            async function (responseAPI: any) {
                                $facebookAuthStore = {
                                    id: responseAPI.id,
                                    name: responseAPI.name || "",
                                    email: responseAPI.email || "",
                                    imgProfile:
                                        ((responseAPI.picture || {}).data || {})
                                            .url || "",
                                };
                                (window as any).location.reload();
                            }
                        );
                    } else {
                        console.log(
                            "User cancelled login or did not fully authorize."
                        );
                    }
                } else {
                    console.log('response *** ', response);
                    // The person is not logged into your webpage or we are unable to tell.
                }
            },
            { scope: "public_profile,email" }
        );
    }

    // กำหนดปุ่ม Facebook Login
    // https://developers.facebook.com/docs/facebook-login/web/login-button
</script>

<div class="flex flex-col mx-auto items-center">
    <div
        on:click={customLogin}
        class="bg-blue-500 text-white px-3 py-3 rounded-full cursor-pointer"
    >
        <div class="flex items-center">
            <img
                class="img w-6 h-6"
                src="./icons/facebook.png"
                alt=""
            />
            <p class="px-2 text-lg">เข้าสู่ระบบด้วย Facebook</p>
        </div>
    </div>
</div>
